Bug 45495 - FILEOPEN .pptx: 3D rotated object shown without rotation
Summary: FILEOPEN .pptx: 3D rotated object shown without rotation
Status: REOPENED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.0.0
Keywords: filter:pptx
: 45497 143783 (view as bug list)
Depends on:
Blocks: PPTX-3D
  Show dependency treegraph
 
Reported: 2012-02-01 04:36 UTC by sasha.libreoffice
Modified: 2021-08-14 04:26 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments
presentation with rotated object (756.12 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2012-02-01 04:36 UTC, sasha.libreoffice
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sasha.libreoffice 2012-02-01 04:36:37 UTC
Created attachment 56442 [details]
presentation with rotated object

attachment contains:
1) on first slide slightly rotated picture
2) on second slide screenshot of first slide in MSO 2007 russian

Expected: picture on first slide is slightly rotated
Actually: no rotation

reproduced in LibO 3.3.4. and 3.6.0 master on Fedora 64 bit
Comment 1 bfoman (inactive) 2012-07-16 11:44:04 UTC
Confirmed with:
LO 3.5.5.3 
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit

Picture is not rotated, background in grey colors.
Comment 2 Lennard Wasserthal 2012-09-03 13:45:08 UTC
Custom shapes are also not saved rotated either and when you try to save a rotated custom shape or picture you end up with it notably shifted or sometimes not present, and other objects sometimes very distorted (turned a rhomb into a rectangle!)
Comment 3 Rainer Bielefeld Retired 2012-10-18 05:26:58 UTC Comment hidden (obsolete)
Comment 4 Rainer Bielefeld Retired 2012-10-18 05:32:16 UTC Comment hidden (obsolete)
Comment 5 Thorsten Behrens (allotropia) 2012-10-26 20:09:39 UTC Comment hidden (obsolete)
Comment 6 Lennard Wasserthal 2012-11-06 21:18:03 UTC
@Rainer Bielefeld

But both is the same bug!

WriteShapeTransformation is called without an rotate argument.
(from oox/source/export/shapes.cxx)
WriteShapeTransformation oox/source/export/drawingml.cxx accepts an rotate parameter and works if it is present, but it is a template so the program doesn't
Yield a warning.

Should I handle this?
I just have to find out where the transform can be read, perhaps from the import routines or the shapes directly.
Perhaps I can do it this weekend or earlier.
Comment 7 Rainer Bielefeld Retired 2012-11-07 05:08:06 UTC Comment hidden (obsolete)
Comment 8 Lennard Wasserthal 2012-11-11 10:27:51 UTC
Patch generated. 

https://gerrit.libreoffice.org/1030

The patch fixes also

bug 34897

bug 56121

so I guess I'll threat them as dupes.

There HAS some work to be done, though, arrows for example are twitched and their custom shape control points run to their limits when touched, up arrows are first-invisi-then-box exported, sheared stuff causes glitches and there were many todos in oox/source/export/shapes.cxx
good, I file that as new bug, unless already happened.
Comment 9 Lennard Wasserthal 2012-11-11 10:33:21 UTC
*** Bug 56121 has been marked as a duplicate of this bug. ***
Comment 10 sasha.libreoffice 2012-11-12 05:16:59 UTC Comment hidden (obsolete)
Comment 11 Not Assigned 2012-11-29 20:19:28 UTC
Lennard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a9fc1456719da3cecda6a97454bad0642e493035

fdo#45495 pptx Export saves rotation of pictures,shapes,text



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Regina Henschel 2019-10-09 15:46:32 UTC
The picture in the attached document is still not rotated. Tested in Version: 6.2.5.2 (x64)
Build ID: 1ec314fa52f458adc18c4f025c545a4e8b22c159
CPU threads: 8; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: de-DE (en_US); UI-Language: en-US
Calc: threaded
and in Version: 6.4.0.0.alpha0+ (x64)
Build ID: b2d8093b19642038631dfb8f1ab6745a380a652c
CPU threads: 8; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-09-23_22:42:37
Locale: de-DE (en_US); UI-Language: en-US
Calc: threaded

Reason is, that it is no ordinary rotation, but a 3D Effect "rotate around z-axis".
Comment 13 Xisco Faulí 2019-10-17 12:29:39 UTC Comment hidden (obsolete)
Comment 14 Xisco Faulí 2019-10-22 15:41:08 UTC
This is the xml code

            <a:camera prst="orthographicFront">
              <a:rot lat="0" lon="0" rev="3600000"/>
            </a:camera>
            <a:lightRig rig="twoPt" dir="t">
              <a:rot lat="0" lon="0" rev="7200000"/>
            </a:lightRig>
          </a:scene3d>
Comment 15 Timur 2021-03-23 09:33:23 UTC
Repro 7.2+. All X, Y, Z rotation don't work for 3D in MSO.
Comment 16 Timur 2021-03-23 09:54:29 UTC
*** Bug 45497 has been marked as a duplicate of this bug. ***
Comment 17 Regina Henschel 2021-03-23 11:07:31 UTC
3D rotation is only possible for custom-shapes in extrusion mode. So this issue has two steps:
1. import shapes from pptx so, that the 3D rotation are rendered. ==> bug 70039
2. import a 3D-rotated image not as image-frame but as custom shape with image background.
Comment 18 Timur 2021-08-09 09:44:42 UTC
*** Bug 143783 has been marked as a duplicate of this bug. ***